import { IManager } from "../../types";
import { ITaskResponseResult } from "@webiny/tasks/response/abstractions";
import { IndexManager } from "../../settings";
import { IElasticsearchEnableIndexingTaskInput } from "./types";
export declare class EnableIndexingTaskRunner {
    private readonly manager;
    private readonly indexManager;
    private readonly response;
    constructor(manager: IManager<IElasticsearchEnableIndexingTaskInput>, indexManager: IndexManager);
    exec(matching?: string): Promise<ITaskResponseResult>;
}
